import 'package:hub/components/organism_components/up_arrow_linked_locals_component/up_arrow_linked_locals_component_widget.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';

import 'package:flutter/material.dart';
import 'package:hub/shared/helpers/sqlite_storage_helper.dart';

class UpArrowLinkedLocalsComponentModel
    extends FlutterFlowModel<UpArrowLinkedLocalsComponentWidget> {
  final SQLiteStorageHelper db = SQLiteStorageHelper();
  late final String devUUID;
  late final String userUUID;
  late final String cliUUID;
  late final String cliName;

  @override
  void initState(BuildContext context) {
    initDB();
  }

  Future<void> initDB() async {
    devUUID = await db
        .get(key: 'devUUID', field: 'value')
        .then((value) => value.toString());
    userUUID = await db
        .get(key: 'userUUID', field: 'value')
        .then((value) => value.toString());
    cliUUID = await db
        .get(key: 'cliUUID', field: 'value')
        .then((value) => value.toString());
    cliName = await db
        .get(key: 'cliName', field: 'value')
        .then((value) => value.toString());
  }

  @override
  void dispose() {}
}
